var AJAXMETHOD = "POST";
var retrieveData = function (sSource, aoData, fnCallback) {
    $("#seachTableForm input").each(function () {
        var params = {
            name: $(this).attr("name"),
            value: $(this).val()
        };
        aoData.push(params);
    });
    $("#seachTableForm select").each(function () {
        var params = {
            name: $(this).attr("name"),
            value: $(this).val()
        };
        aoData.push(params);
    });
    aoData.push(csrfheader);
    aoData.push(csrftoken);
    $(".paginate_button").addClass("disabled");
    $.ajax({
        "type": AJAXMETHOD,
        "url": sSource,
        "dataType": "json",
        "data": aoData, //以json格式传递
        "success": function(resp) {
            if (resp._csrf)
            {
                csrfheader.value = resp._csrf_header;
                csrftoken.value = resp._csrf;
            }
            fnCallback(resp);
        }
    });
};